local arcade_config = {
  org_resolucion = { width = 128, height = 96 },
  resolucion = { width = 256, height = 192 },
  surface = { width = 256, height = 192 },
  logo_sf = { width = 180, height = 25 },
  sprite_size = { w = 32, h = 32 },
  escala = 1.0,
  org2arc_escala = 2.0,
  tiles_offset = 128,
  tiles_per_row = 16,
  tiles_per_row_base2 = 4,
  tiles_width = 16,
  tiles_height = 16,
  character_per_row = 8,
  character_per_row_base2 = 3,
  character_width = 32,
  character_height = 32,
  fullscreen = false
}

-- Proteger contra creación/modificación accidental de campos no declarados
-- setmetatable(config, {
--   __newindex = function(t, k, v)
--     if rawget(t, k) == nil then
--       error("Intento de crear campo nuevo en config: "..tostring(k), 2)
--     else
--       rawset(t, k, v)
--     end
--   end
-- })

return arcade_config
